WebSite X5Help Center

 
ESTEFANIA G.
ESTEFANIA G.
User

Version php del Website x5 pro y contabilidad con los formularios de contacto?  es

Autor: ESTEFANIA G.
Visitado 383, Followers 1, Compartido 0  

He actualizado mi antiguo Website a la versión pro e importado una parte mi proyecto web. Cuando lo he subido retocado con la nueva versión website el formulario de contacto de clientes ha dejado de funcionar. El formulario se visualiza pero los mensajes de mis clientes no me llegan. Creo que es por culpa de la compatibilidad de la versión php de Website Pro con mi servidor. No he subido todo el proyecto porque lo tengo divido por idiomas. Parte de mi web está hecha con el antiguo website y parte con la versión pro. ¿Que versión de php usa el nuevo website pro y que tengo que hacer para solucionar este problema?

Publicado en
6 RESPUESTAS
Incomedia
Eric C.
Incomedia

Hola Stefania,
La última versión compatible para v2023.3 del software es PHP 8.2. También sugeriría verificar qué direcciones de correo electrónico se han establecido, tanto para el formulario de contacto como para la dirección de envío de correo electrónico para el sitio web (esto se puede verificar en Paso 5 - Exportar ---> Exportación en línea ---> Parámetros ---> Correo electrónico). Muchos proveedores restringen el uso de direcciones que no tienen el mismo dominio que el propio sitio web.

Eric

Leer más
Publicado en de Eric C.
ESTEFANIA G.
ESTEFANIA G.
User
Autor

Muchas gracias por tu respuest, Eric,

La dirección de mi correo es del propio dominio. ¿Sabrías decirme que versión de php soporta como máximo el Website x5 Evolution 12? Es que parte de mi web está hecha con ese programa y parte con el Pro. (voy actualizando la web poco a poco, ya que es muy extensa ¿Que puedo hacer para que los formularios funcionen con las dos versiones de php?

Leer más
Publicado en de ESTEFANIA G.
Incomedia
Eric C.
Incomedia

Hola Estefanía,
La versión 12 fue lanzada en 2015, y en ese momento las versiones 5.6 y 7.0 de PHP estaban disponibles, por lo que son versiones bastante desactualizadas en comparación con la que idealmente debería usarse con la versión 2023.3.

Eric

Leer más
Publicado en de Eric C.
ESTEFANIA G.
ESTEFANIA G.
User
Autor

Sí, Eric pero no puedo cambiar toda la web simultaneamente, lo estoy haciendo por idiomas, poco a poco. Pero mientras tanto no quiero que los formularios de contacto dejen de funcionar ¿Puedo elegir en el Website x5 Pro  una versión de  php inferior para que exista compatibilidad con mi servidor? ¿Se puede configurar en Website una versión de php inferior?

Lo haría temporalmente hasta que las carpetas de todos los idiomas fuesen cambiadas y entonces ya modificaría a la versión superior php 8.2 en mi servidor.

Leer más
Publicado en de ESTEFANIA G.
Incomedia
Eric C.
Incomedia

Hola Estefania,
Solo puedes cambiar la versión de PHP utilizada por el servidor, el software en sí tiene un rango de versiones en las que la compatibilidad es óptima, pero desafortunadamente, con la versión 2023.3, el requisito mínimo es 7.1, lo que es poco probable que sea compatible con la versión 12.
Te sugeriría trabajar primero en actualizar todos los proyectos y luego cargar todas las nuevas versiones, ya que la diferencia en la compatibilidad de PHP de las dos versiones podría causar problemas, y tendrás que seleccionar cuál usar para el espacio de alojamiento.

Eric

Leer más
Publicado en de Eric C.
ESTEFANIA G.
ESTEFANIA G.
User
Autor

Muchas gracias. Un saludo.

Leer más
Publicado en de ESTEFANIA G.